include:
  - project: 'repos/releng/kokkuri'
    file: 'includes/images.yaml'

stages:
  - build
  - publish

build:spark-history:
  extends: .kokkuri:build-image
  stage: build
  variables:
    BUILD_VARIANT: production
    BUILD_CONFIG: history-server/blubber.yaml
  rules:
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
    - if: '$CI_COMMIT_BRANCH && $CI_OPEN_MERGE_REQUESTS'
      when: never
    - if: $CI_COMMIT_BRANCH != 'main'
  interruptible: true

publish:spark-history:
  extends: .kokkuri:build-and-publish-image
  stage: publish
  variables:
    BUILD_CONFIG: history-server/blubber.yaml
    BUILD_VARIANT: production
    PUBLISH_IMAGE_NAME: 'repos/data-engineering/spark/spark3.4-history'
    PUBLISH_IMAGE_TAG: '${KOKKURI_PIPELINE_TIMESTAMP}-${CI_COMMIT_SHA}'
  tags:
    - trusted
  rules:
    - if: $CI_COMMIT_BRANCH == "main" && $CI_COMMIT_REF_PROTECTED
  interruptible: true
